package ecs.components;

import ecs.core.Component;

class Explosion extends Component {
	public var time:Float = 0;
	public var totalTime:Null<Float>;
	public var maxRadius:Null<Float>;

	public function new(?maxRadius:Float, ?totlaTime:Float) {
		super();

		this.maxRadius = maxRadius == null ? 10 + Math.random() * 5 : maxRadius;
		this.totalTime = totalTime == null ? 0.2 + Math.random() * 0.3 : totalTime;
	}
}
